FROM python:3.8-slim-bullseye

ARG VMD
ENV VMD ${VMD}

# Install flask and utilities
RUN apt-get update && apt-get install -y make \
  && pip3 install flask && pip3 install -U flask-cors

# Copy sources
COPY /src/vmd.py /src/align_DCDs.tcl /src/

# Install VMD from distribution file
ADD /src/${VMD} /usr/local/
RUN cd /usr/local/vmd-1.9.3 && ./configure LINUXAMD64 \
  && cd src/ && make install

# Start flask application
CMD ["python3", "/src/vmd.py"]
